package cn.stylefeng.team.portal.modular.management.factory;

import cn.stylefeng.team.portal.modular.management.entity.PortalAppLink;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalAppLinkRequest;

public class AppLinkFactory {

    public static void commonFillParam(PortalAppLinkRequest portalAppLinkRequest, PortalAppLink portalAppLink) {
        portalAppLink.setDesignId(portalAppLinkRequest.getDesignId());
        portalAppLink.setLinkCategoryId(portalAppLinkRequest.getLinkCategoryId());
        portalAppLink.setLinkName(portalAppLinkRequest.getLinkName());
        portalAppLink.setLinkIconFileId(portalAppLinkRequest.getLinkIconFileId());
        portalAppLink.setRedirectType(portalAppLinkRequest.getRedirectType());
        portalAppLink.setRedirectUrl(portalAppLinkRequest.getRedirectUrl());
        portalAppLink.setOpenType(portalAppLinkRequest.getOpenType());
        portalAppLink.setFldSort(portalAppLinkRequest.getFldSort());
    }

}
